org.apache.jmeter.gui.logging

## Class LogEventObject

- java.lang.Object
- - java.util.EventObject
  - - org.apache.jmeter.gui.logging.LogEventObject

All Implemented Interfaces:
  Serializable

    public class LogEventObject
    extends EventObject

Log event object.

Since:
  3.2
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`LogEventObject(Object source)`
`LogEventObject(Object source, String seralizedString)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isMoreSpecificThanError()`
`boolean` `isMoreSpecificThanInfo()`
`boolean` `isMoreSpecificThanWarn()`
`String` `toString()`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LogEventObject

    public LogEventObject(Object source)

#### LogEventObject

    public LogEventObject(Object source,
                          String seralizedString)

### Method Detail

#### isMoreSpecificThanError

    public boolean isMoreSpecificThanError()

#### isMoreSpecificThanWarn

    public boolean isMoreSpecificThanWarn()

#### isMoreSpecificThanInfo

    public boolean isMoreSpecificThanInfo()

#### toString

    public String toString()

Overrides:
  `toString` in class `EventObject`